#ifdef GL_ES
	precision mediump float;
#endif

varying vec2 v_uv;
varying vec3 v_pos; 
uniform sampler2D u_sampler;

uniform vec4 u_color;

uniform float u_time;

#define M_PI 3.141592654

void main() {


    vec2 uv = v_uv;
    

    vec4 c = texture2D(u_sampler, uv);
    
    gl_FragColor = c;
    
    gl_FragColor = gl_FragColor * u_color;
    
    gl_FragColor.a = 1.0;
    

}

