#ifdef GL_ES
	precision mediump float;
#endif

varying vec2 v_uv;

uniform sampler2D u_sampler;
uniform vec4 u_color;

//varying vec3 eye_normal2;
//varying vec3 light_pos;
varying vec3 v_norm;

// varying vec4 v_color;

uniform vec3 u_lval_k;


void main(void)
{

    vec4 c = texture2D(u_sampler, v_uv.st);

    float lval = -0.4*v_norm.x + 0.5*v_norm.y + 0.1*v_norm.z; // <------------ OK

    lval = u_lval_k.x + u_lval_k.y*lval;

    vec4 light = vec4(lval, lval, lval, 1.0);

 	gl_FragColor = light * c + u_color;
 	
	gl_FragColor.a = 1.0;
	
}  
