uniform mat4 u_proj;
uniform mat4 u_modelview;
uniform mat4 u_modelview_light;
uniform mat3 u_normal_matrix;

attribute vec2 a_uv;
attribute vec4 a_pos;
attribute vec3 a_norm;

//attribute vec4 a_color;

varying vec2 v_uv;
varying vec3 v_norm;

varying vec4 v_color;


void main() {

//	v_color = a_color;
	v_uv = a_uv; 

	v_norm = u_normal_matrix * a_norm;

	gl_Position = u_proj * u_modelview * a_pos;
	
}
